%{!?_with_external: %{!?_without_external: %define _with_external 1}}

%define gcj_support 1
%define	section	free

Name:		adaptx
Version:	0.9.6
Release:	%mkrel 3.1
Epoch:		0
Summary:	AdaptX
License:	BSD-like
Group:		Development/Java
Source0:	%{name}-%{version}-cvs-RHCLEAN.tar.bz2
Patch0:		%{name}-%{version}-xsl.patch
Url:		http://castor.exolab.org/
Requires:	ant >= 0:1.6
Requires:	jpackage-utils >= 0:1.6
Requires:	log4j
Requires:	xml-commons-apis
Requires:	xerces-j2
%if %{?_with_external:1}%{!?_with_external:0}
BuildRequires:	%{name} = %{epoch}:%{version}-%{release}
%endif
BuildRequires:	ant
BuildRequires:	ant-trax
BuildRequires:	java-devel
BuildRequires:	jaxp_transform_impl
BuildRequires:	jpackage-utils >= 0:1.5
BuildRequires:	xerces-j2
BuildRequires:  xml-commons-apis
%if %{gcj_support}
BuildRequires:	java-gcj-compat-devel >= 0:1.0.31
Requires(post):	java-gcj-compat >= 0:1.0.31
Requires(postun): java-gcj-compat >= 0:1.0.31
%else
BuildArch:	noarch
%endif
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
Adaptx is an XSLT processor and XPath engine.

%package javadoc
Group:		Development/Java
Summary:	Javadoc for %{name}

%description javadoc
Javadoc for %{name}.

%package doc
Summary:	Documentation for %{name}
Group:		Development/Java

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{name}
# remove CVS internal files
for dir in `find . -type d -name CVS`; do rm -rf $dir; done
# remove all binary libs
find . -name "*.jar" -exec rm -f {} \;

%patch0

%build
perl -p -i -e 's|classic|modern|' src/build.xml
export OPT_JAR_LIST=
export CLASSPATH=$(build-classpath xerces-j2)
%ant -buildfile src/build.xml jar
%ant -buildfile src/build.xml javadoc
%if %{?_with_external:1}%{!?_with_external:0}
export CLASSPATH=$CLASSPATH:$(build-classpath adaptx xml-commons-apis log4j xerces-j2)
%else
export CLASSPATH=$CLASSPATH:`pwd`/dist/adaptx_0.9.6.jar:$(build-classpath xml-commons-apis log4j xerces-j2)
%endif
export OPT_JAR_LIST="ant/ant-trax jaxp_transform_impl"
%ant -buildfile src/build.xml doc

%install
%{__rm} -rf %{buildroot}

# jar
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -m 644 dist/%{name}_%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}.jar; do ln -sf ${jar} ${jar/-%{version}/}; done)
# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr build/doc/javadoc/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
rm -rf build/doc/javadoc

%if %{gcj_support}
%{_bindir}/aot-compile-rpm
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{gcj_support}
%post
%{update_gcjdb}

%postun
%{clean_gcjdb}
%endif

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%postun javadoc
if [ "$1" = "0" ]; then
    rm -f %{_javadocdir}/%{name}
fi

%files
%defattr(0664,root,root,0755)
%doc src/etc/{CHANGELOG,contributors.html,LICENSE}
%{_javadir}/*
%if %{gcj_support}
%dir %{_libdir}/gcj/%{name}
%attr(-,root,root) %{_libdir}/gcj/%{name}/*.jar.*
%endif

%files javadoc
%defattr(0664,root,root,0755)
%{_javadocdir}/%{name}-%{version}

%files doc
%defattr(0664,root,root,0755)
%doc build/doc/*

%changelog
* Wed Aug 09 2006 David Walluck <walluck@mandriva.org> 0:0.9.6-3.1mdv2007.0
- fix Requires

* Sat Jun 03 2006 David Walluck <walluck@mandriva.org> 0.9.6-2.6mdv2007.0
- rebuild for libgcj.so.7
- own %%{_libdir}/gcj/%%{name}

* Tue Jan 17 2006 David Walluck <walluck@mandriva.org> 0:0.9.6-2.5mdk
- fix CLASSPATH when building docs

* Sun Jan 15 2006 David Walluck <walluck@mandriva.org> 0:0.9.6-2.4mdk
- BuildRequires: java-devel
- enable the debug package
- set OPT_JAR_LIST for doc even though it seems to build without it

* Wed Jan 11 2006 David Walluck <walluck@mandriva.org> 0:0.9.6-2.3mdk
- (Build)Requires: xerces-j2
- export OPT_JAR_LIST=
- change License

* Fri Dec 02 2005 David Walluck <walluck@mandriva.org> 0:0.9.6-2.2mdk
- add post scripts

* Fri Dec 02 2005 David Walluck <walluck@mandriva.org> 0:0.9.6-2.1mdk
- sync with 0:0.9.6-2jpp
- aot-compile

* Sat Sep 10 2005 David Walluck <walluck@mandriva.org> 0:0.9.6-1.1mdk
- release

* Thu Jun 16 2005 Gary Benson <gbenson@redhat.com> 0:0.9.6-1jpp_1fc
- Build into Fedora.

* Thu Jun  9 2005 Gary Benson <gbenson@redhat.com>
- Remove jarfiles from the tarball.

* Wed Jun  1 2005 Gary Benson <gbenson@redhat.com>
- Remove all jarfiles before building.

* Fri Mar  5 2004 Frank Ch. Eigler <fche@redhat.com> 0:0.9.6-1jpp_1rh
- RH vacuuming
- build with internal adaptx for the moment

* Tue Sep 09 2003 David Walluck <david@anti-microsoft.org> 0:0.9.6-1jpp
- 0.9.6
- Nicolas wrote the last changelog entry, not me
- adaptx requires itself to build, so I added '--without-external' in case you need or
  wish to use the included jar, but it defaults to '--with-external' (e.g., it defaults
  to using the external jpackage version of the jar).
- use the modern, not the classic, compiler
- BuildRequires: xml-commons-apis for doc target

* Fri May 16 2003 Nicolas Mailhot <Nicolas.Mailhot at laPoste.net> 0:0.9.5-2jpp
- do not self-require for build :)

* Sat May 10 2003 David Walluck <david@anti-microsoft.org> 0:0.9.5-1jpp
- release
